Darkest Dark Theme with DevStyle

Add this URL to your Eclipse Installation to reach this solution's update site.

2024-06 (4.32), 2024-03 (4.31), 2023-12 (4.30), 2023-09 (4.29), 2023-06 (4.28), 2023-03 (4.27), 2022-12 (4.26), 2022-09 (4.25), 2022-06 (4.24), 2022-03 (4.23), 2021-12 (4.22), 2021-09 (4.21), 2021-06 (4.20), 2021-03 (4.19), 2020-12 (4.18), 2020-09 (4.17), 2020-06 (4.16), 2020-03 (4.15), 2019-12 (4.14), 2019-09 (4.13), 2019-06 (4.12), 2019-03 (4.11), 2018-12 (4.10), 2018-09 (4.9), Photon (4.8), Oxygen (4.7), 2024-06 (4.33)

https://devstyle.codetogether.io

Neon (4.6)

https://devstyle.codetogether.io

Learn more...
Solution Description

Darkest Dark theme from DevStyle - a free plugin providing an enhanced set of experiences for Eclipse. Included:

  • Darkest Dark theme - #1 in the Marketplace:
    True dark theme with flat replacement icons
    A great experience over Windows, Mac and Linux
     
  • Included with DevStyle:
    New light and dark color themes
    All new startup experience for Eclipse
    Inline search for text editors

​Entirely free to use!  Get DevStyle today.

Categories: IDE, UI

Additional Details

Eclipse Versions: 2024-06 (4.32), 2024-03 (4.31), 2023-12 (4.30), 2023-09 (4.29), 2023-06 (4.28), 2023-03 (4.27), 2022-12 (4.26), 2022-09 (4.25), 2022-06 (4.24), 2022-03 (4.23), 2021-12 (4.22), 2021-09 (4.21), 2021-06 (4.20), 2021-03 (4.19), 2020-12 (4.18), 2020-09 (4.17), 2020-06 (4.16), 2020-03 (4.15), 2019-12 (4.14), 2019-09 (4.13), 2019-06 (4.12), 2019-03 (4.11), 2018-12 (4.10), 2018-09 (4.9), Photon (4.8), Oxygen (4.7), 2024-06 (4.33), Neon (4.6)

Platform Support: Windows, Mac, Linux/GTK

Organization Name: CodeTogether Inc.

Development Status: Production/Stable

Date Created: Tuesday, January 31, 2017 - 12:51

License: Commercial - Free

Date Updated: Tuesday, June 18, 2024 - 08:14

Submitted by: Tim Webb

Screenshot
Date Ranking Installs Clickthroughs
July 2024 5/645 6827 34
June 2024 6/681 10827 75
May 2024 6/682 10796 49
April 2024 5/687 12345 57
March 2024 4/694 14353 82
February 2024 5/687 11373 322
January 2024 5/691 10676 75
December 2023 6/671 9424 59
November 2023 6/686 11696 50
October 2023 5/673 12951 76
September 2023 4/663 13968 59
August 2023 5/673 12590 66
View Data for all Listings

Unsuccessful Installs

Unsuccessful Installs in the last 7 Days: 208

Download last 500 errors (CSV)

Marketplace Drag to Install Button

By adding the following code below to your website you will be able to add an install button for Darkest Dark Theme with DevStyle.

HTML Code:

Markdown Syntax:

Output:

Drag to your running Eclipse* workspace. *Requires Eclipse Marketplace Client

Reviews Add new review

In the default theme, if the names of the folders or files are cut off due to the size of the Package Explorer view, hovering over them used to show their names in a tooltip(not exactly a tooltip idk what its called it extends the name that is cut off). However, after applying this theme, this option appears to have turned off and I can't find where it is located. I would appreciate some help. Cheers!
By the way, I like the theme.

Heelo,

im using eclipse 2022 09 and your latest vesion 2022.6.13a from the market store.

when i apply any theme the icon no longer indicate if a toggle button is pressed or not.

can you please check it?

thanks in advance and a great theme tool.

 

 

I have an error when I try to download Darkest Dark Theme. Do you have an idead about that error?

OS: Windows 10

Eclipse version: 2021-03 (4.19.0)

Error :An error occurred while collecting items to be installed
session context was:(profile=epp.package.cpp, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
Problems downloading artifact: org.eclipse.update.feature,com.genuitec.eclipse.base.feature,1.11.0.202206271604.

In reply to by Cagatay Goncu

Cagatay, I'm afraid DevStyle will not work on older versions of Eclipse at this point due to some signing incompatibilities with the plugins. You will notice several signing errors in your your error log. Please udpate to a more recent version of Eclipse to install DevStyle. Thanks!

Hello,

I am trying to install this plugin. However, I am having the following error:
The following solutions are not available: darkest dark theme with devstylec 2022.6.13.a.

If I try to proceed anyway, I obtain the information that the request could not be completed, and to see the error log for details. In the error log, I find a javax.net.ssl.SSLHandshakeException.

After further examination, I believe your certificates have expired. If that is the case, I ask you to fix this and let me know when I can install this theme again. Otherwise, please let me know what to do to be able to install this theme.

Thanks in advance,
João

The deep black theme is really beautiful.
However, I have a problem when viewing multiple panels together. When I have the code, the package explorer on the left, the outline on the right and the console below, I can't distinguish the different sections because there is no border to distinguish them. Could you kindly add borders of a different color to better delineate the sections?

Thanks

Unable to read repository at <link redacted as per terms of service>.
PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target

Unsure why but im getting the error above. Could be im doing something wrong but didnt think I was.

In reply to by Andrew Drourr

Andrew, sorry to hear you're running into this. There are several reasons for a PKIX error, but it's mostly rooted around not being able to establish an HTTPS connection with our servers. This could happen due to a corporiate firewall/proxy not letting the traffic correctly through, or using an older version of Java which doesn't have corresponding certs. My recommenation would be to update the version of Java you use to run Eclipse and/or you can download a copy of our site and install it from a local directory as described here: https://www.genuitec.com/forums/topic/offline-installation/

My IDE was never the same again after installed this. It bugs the editors sooner or later. Even after i uninstalled and created another workspace i cant' open 'application.properties' files, if i try it, all other editors get unable to open files. It occured only after i installed this theme...

In reply to by Rudah Reis

Rudah, sorry to hear about your experience, though it's quite unlikely that DevStyle could cause issues like you describe. Could you please let us know what OS you're on and exact version and distribution of Eclipse you're using? Could you elaborate on what goes wrong with the editors, can you share the error message you see? We're happy to discuss this further here or we can follow up via email if you write to support@genuitec.com Thanks!

Thank you for this awesome theme. I do not feel the need for IntelliJ IDEA at all.

My question: can we change the background colour of any selected list-item in the Outline View, Package Explorer View, Content Assist, Preferences, etc? Attaching a screenshot URL and system information for reference. Current highlight/selection bg color is #6688ff.

Image: i.postimg.cc/j2vxSwXX/eclipse-bg.png


System info:
λ lsb_release -a
LSB Version:    :core-4.1-amd64:core-4.1-noarch
Distributor ID:    Fedora
Description:    Fedora release 36 (Thirty Six)
Release:    36
Codename:    ThirtySix

λ neofetch --stdout
manoj@manojbaishya 
------------------ 
OS: Fedora release 36 (Thirty Six) x86_64 
Host: AILZx 
Kernel: 5.18.17-200.fc36.x86_64 
Uptime: 1 hour, 6 mins 
Packages: 3285 (rpm), 21 (flatpak) 
Shell: bash 5.1.16 
Resolution: 2560x1440 
DE: GNOME 42.4 
WM: Mutter 
WM Theme: Adwaita 
Theme: Adwaita-dark [GTK2/3] 
Icons: Papirus-Dark [GTK2/3] 
Terminal: tilix 
CPU: Intel i7-4702MQ (8) @ 2.200GHz 
GPU: NVIDIA GeForce GT 740M 
GPU: Intel 4th Gen Core Processor 
Memory: 8291MiB / 15748MiB 

 

In reply to by Manoj Baishya

Manoj, glad you are enjoying DevStyle, and thank you for sharing the screenshot to explain your request. This is not something you can currently change with DevStyle and I believe it's something that will be based on the OS level theme. Since you are using Gnome, perhaps you could change it there, or are you looking for a different color just in Eclipse?

In reply to by Chang Moon

Chang, an odd issue indeed - we've never come across an issue like this. DevStyle does not modify any workspace or project settings as it has no need to make such changes for theme support. Do you mind clarifying what you mean by, "server settings of projects"? What servers are these, and how do you see the settings? Perhaps there's a themeing issue that caused the settings to be incorrectly displayed? If you can share additional details, we'll be happy to take a look. Thanks!

It is an amazing plugin, which makes eclipse look better. But after updating ubuntu to 22.04 javadocs disappeared. Note, they are appearing without devstyle but after installing devstyle javadocs are invisible.

In reply to by Sharofiddin Pardayev

Sharoffidin,

Our technical team will look into this for the upcoming DevStyle update. 

For everyone: The best place to post questions or problems is in the DevSyle forums on the Genuitec site: https://www.genuitec.com/forums/topics/devstyle/

Posting there allows us to follow up with you and ensure any issue gets addressed quickly.

Thanks!

Cannot complete the install because one or more required items could not be found.
  Software being installed: DevStyle with CodeTogether Bundle 1.11.0.202105260439 (com.genuitec.eclipse.theming.feature.feature.group 1.11.0.202105260439)
  Missing requirement: REST Core 1.11.0.202105260439 (com.genuitec.eclipse.patches 1.11.0.202105260439) requires 'package org.apache.commons.io 2.2.0' but it could not be found
  Cannot satisfy dependency:
    From: EditorMinimap 1.11.0.202105260439 (com.genuitec.eclipse.inlinesearch 1.11.0.202105260439)
    To: bundle com.genuitec.eclipse.monitor 0.0.0
  Cannot satisfy dependency:
    From: Webclipse UDM 13.0.0.202105260439 (com.genuitec.eclipse.monitor 13.0.0.202105260439)
    To: bundle com.genuitec.eclipse.patches 0.0.0
  Cannot satisfy dependency:
    From: DevStyle (includes Darkest Dark Theme) 1.11.0.202105260439 (com.genuitec.eclipse.theming.core.feature.feature.group 1.11.0.202105260439)
    To: com.genuitec.eclipse.inlinesearch [1.11.0.202105260439]
  Cannot satisfy dependency:
    From: DevStyle with CodeTogether Bundle 1.11.0.202105260439 (com.genuitec.eclipse.theming.feature.feature.group 1.11.0.202105260439)
    To: com.genuitec.eclipse.theming.core.feature.feature.group [1.11.0.202105260439]

In reply to by Jalal Ibrahimk…

It appears that you may have an issue reliably contacting the Genuitec update site.

You can alternatively install by creating a mirror update site as described for used for air-gapped installations, here: https://www.genuitec.com/forums/topic/offline-installation/

Unable to install with a download error.

An error occurred while collecting items to be installed
session context was:(profile=D__ProgramFiles_jee-2021-12_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
Problems downloading artifact: osgi.bundle,com.genuitec.eclipse.codetogether.core,5.0.1.202111122223.
Unexpected end of ZLIB input stream
Problems downloading artifact: osgi.bundle,com.genuitec.eclipse.codetogether.epl,5.0.1.202111122223.
Unexpected end of ZLIB input stream
Problems downloading artifact: osgi.bundle,com.genuitec.eclipse.codetogether.ui,5.0.1.202111122223.
Unexpected end of ZLIB input stream
Problems downloading artifact: osgi.bundle,com.genuitec.eclipse.codetogether.ui.client,5.0.1.202111122223.
Unexpected end of ZLIB input stream
Problems downloading artifact: osgi.bundle,com.genuitec.eclipse.codetogether.ui.client.tests,5.0.1.202111122223.
Unexpected end of ZLIB input stream
Problems downloading artifact: osgi.bundle,com.genuitec.eclipse.codetogether.webicons,5.0.1.202111122223.
Unexpected end of ZLIB input stream
Problems downloading artifact: osgi.bundle,com.genuitec.eclipse.core.common.platform,13.0.2.202105260439.
Unexpected end of ZLIB input stream
Problems downloading artifact: osgi.bundle,com.genuitec.eclipse.lsp4e,5.0.1.202111122223.
Unexpected end of ZLIB input stream
Problems downloading artifact: osgi.bundle,com.genuitec.eclipse.startup,1.11.0.202105260439.
Unexpected end of ZLIB input stream
Problems downloading artifact: osgi.bundle,com.genuitec.eclipse.theming.epl,1.11.0.202105260439.
Unexpected end of ZLIB input stream
Problems downloading artifact: osgi.bundle,com.genuitec.eclipse.theming.icon.designer,1.11.0.202105260439.
Unexpected end of ZLIB input stream
Problems downloading artifact: osgi.bundle,com.genuitec.eclipse.theming.scrollbar,1.11.0.202105260439.
Unexpected end of ZLIB input stream
Problems downloading artifact: osgi.bundle,com.genuitec.eclipse.theming.ui,1.11.0.202105260439.
Unexpected end of ZLIB input stream
Problems downloading artifact: osgi.bundle,com.genuitec.eclipse.ui.common.platform,13.0.0.202105260439.
Unexpected end of ZLIB input stream
Problems downloading artifact: osgi.bundle,com.genuitec.eclipse.webclipse.evergreen,1.11.0.202105260439.
Unexpected end of ZLIB input stream
Problems downloading artifact: osgi.bundle,com.genuitec.eclipse.webicons,1.11.0.202105260439.
Unexpected end of ZLIB input stream
Problems downloading artifact: osgi.bundle,org.eclipse.nebula.widgets.gallery,1.0.0.201706221838.
Unexpected end of ZLIB input stream

I'm using

Eclipse IDE for Enterprise Java and Web Developers (includes Incubating components)

Version: 2021-12 (4.22.0)
Build id: 20211202-1639

In reply to by Eric Moritz

Eric, STS does seem to ship with a different version of commons.lang3 (3.4) when compared with Eclipse 2021-12, which ships version 3.1.0 - regardless, when we attempted to install DevStyle from the marketplace via simple drang and drop, it installed just fine (plugin in the installation was updated). How did you install STS? You could explicitly add the Eclipse orbit repository (https://download.eclipse.org/tools/orbit/downloads/drops/I2021110120550…) to your available update sites in case it's missing to ensure the commons.lang3 plugin can be found during the install. Do create a post on our forums if you are still having issues where we can dig ino this further.

I like the Darkest Dark theme. I use this in my daily work. But there is one thing that is very annoing. The scrollbar is very thin and disappears on mouse out. I suggest you add a parameter that allows the user to change the scrollbar width directly in the preferences screen.

I know the issue is fixed in updated window 10.
But in windows server 2019 still have the same problem.
I have update windows server to the newest version.

Problem: The folder expand icon and selected text in black.

DevStyle Version: 1.11.0.202105260439

Love the theme. It looks great! Just had one issue. 

The design view for xml editor shows up as a table with solid white borders on dark background which looks extremely jarring. Vertical separators are almost unnecessary and horizontal separators could have lower opacity or be removed altogether. 

The slowdown was getting unbearable. I had to uninstall plugins one by one until I got to this one and Eclipse returned to being snappy. Coworker confirmed that this was slowing dow his Eclipse as well.

In reply to by Zach Foster

Zach, this isn't an issue we're aware of. Can you please let us know your base version of Eclipse and the distribution, like Java & Web or C/++, PHP, etc.? Also, the version of Java being used to Eclipse and OS? If you can share your coworkers details too, that would be additionally helpful. We'd love to replicate this and get it addressed ASAP.

In reply to by Brian Fernandes

Hi Brian,
today I installed Darkest Dark Theme into Spring Tool Suite 4 (Version: 4.13.0.RELEASE) with little help of lang3 from local store. Sluggish is maybe weak word, but I've played with it a little and found out that IDE behaves sluggishly only when Console with Ansi mode enabled is visible. Maybe that could help you investigate more.

Anyway, I use Darkest Dark Theme in other Eclipse IDEs for years and I'm pretty satisfied. You are doing great job guys.

In reply to by Miroslav Dobis

Miroslav, we really appreciate you running that down for us - we can try to replicate with this setting and I'm adding this to our bug notes. Just to be clear, when you say ANSI mode, do you mean the the "Interpret ASCII control characters" Console preference? Thank you for the vote of confidence and being a long time Darkest Dark supporter!

devstyle deep theme theme currently selected line background color and scroll bar improvement suggestions...

The gray background color currently selected under the devstyle deep theme theme style does not match the overall color style of the devstyle deep theme theme. I hope that the currently selected background color can be re-adjusted, please see. . .

The positioning of the scroll bar is not obvious, which affects the width of the mouse drag. I hope that the display style of the scroll bar can be improved. I hope that an optional item can be added to make the scroll bar wider and brighter.

After getting these new dark theme choices working, I've totally abandoned the default themes. My eyesight isn't what it used to be and the tiny Eclipse icons drove me crazy, and the standard white background theme was actually Ok. It just took some getting used to after coming off the dark theme of VS Code. And the standard dark theme in Eclipse is simply just ugly and not as readable.

The Darkest Dark themes make the small icons more distinct and I personally find the source code has a high degree of readability in this mode. I tried all of the dark theme choices and found a couple that I like the most in terms of how various elements are rendered.

In reply to by Mark Bratcher

Thank you for the kind words Mark, we're so happy to hear you're really enjoying the theme and perhaps more importantly, that it's making Eclipse more accessible for you. I will admit that the new icons (especially in pastel colors) are my personal favourite theme feature. If you tweak an inbuilt theme and find settings you like, you can copy the theme code and share it with others too. Thanks again!